For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all Legal Entities

Retrieves all legal entities of your business.

get

List all the legal entities of your business

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns the list of legal entities.

application/json
namestringRequired

Business's name

Example: Example Palm Oil Trader
emailobject · nullableOptional

email of the contact person in the business

Example: user@example.com
addressCitystringRequired

City of the business's address

Example: West Papua
addressCountryCodestringRequired

Two-letter country code (ISO 3166 Alpha-2) of the business's address

Example: ID
addressLine1stringRequired

First line of the business address

Example: Salawati 123
addressLine2object · nullableRequired

Second line of the business address

Example: 2nd floor
addressPostcodestringRequired

Country-specific postcode of the business's address

Example: 12345
eoriobject · nullableOptional

EORI number of the business

vatobject · nullableOptional

VAT number of the business

Example: 1234567890asdfghjk
idstringRequired

id of this entity

Example: 123e4567-e89b-12d3-a456-426614174000
createdAtstring · date-timeRequired

ISO 8601

Example: 2021-01-01T00:00:00.000Z
updatedAtstring · date-timeRequired

ISO 8601

Example: 2021-01-01T00:00:00.000Z
get/legal-entities
GET /legal-entities HTTP/1.1
Host: api.tradeaware.live-eo.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "Example Palm Oil Trader",
    "email": "user@example.com",
    "addressCity": "West Papua",
    "addressCountryCode": "ID",
    "addressLine1": "Salawati 123",
    "addressLine2": "2nd floor",
    "addressPostcode": "12345",
    "eori": {},
    "vat": "1234567890asdfghjk",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2021-01-01T00:00:00.000Z",
    "updatedAt": "2021-01-01T00:00:00.000Z"
  }
]

Last updated